Bug 1953530 - Fix openshift/sdn unit test flake
Summary: Fix openshift/sdn unit test flake
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Alexander Constantinescu
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-26 10:28 UTC by Alexander Constantinescu
Modified: 2021-07-27 23:04 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:03:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 293 0 None open Bug 1953530: Fix flaky unit test `TestEgressCIDRAllocation` 2021-04-26 11:11:42 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:04:02 UTC

Description Alexander Constantinescu 2021-04-26 10:28:28 UTC
Description of problem:

The unit test execution in openshift/sdn is flaky. When one performs `make check` the test result sometimes fails and sometimes passes. It was caused by https://github.com/openshift/sdn/pull/287.


Version-Release number of selected component (if applicable):


How reproducible:

Sometimes

Steps to Reproduce:
1. do `make test` in the root of openshift/sdn
2. check `echo $?`

Actual results:

Sometimes: equals 1

Expected results:

Always: equal 0

Additional info:

Comment 2 zhaozhanqi 2021-04-28 08:55:31 UTC
Verified this issue.

Comment 5 errata-xmlrpc 2021-07-27 23:03:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.